Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 457880 - Include output of "xm list" and "xm list --long" in sos
Summary: Include output of "xm list" and "xm list --long" in sos
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos
Version: 5.4
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Adam Stokes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 467073
TreeView+ depends on / blocked
 
Reported: 2008-08-05 06:50 UTC by Sadique Puthen
Modified: 2009-03-13 11:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 21:41:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0171 0 normal SHIPPED_LIVE sosreport bug fix and enhancement update 2009-01-20 16:05:38 UTC

Description Sadique Puthen 2008-08-05 06:50:04 UTC
Description of problem:

In certain scenarios it's useful to collect the output of "xm list" and "xm list --long" in the sos output. It's very helpful to troubleshoot issues related with xen guests. Some info provided with "xm list --long" can be retrived from xenstore-ls, but not very easy and not all info.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Patch:

--- sos-1.7/lib/sos/plugins/xen.py.orig 2008-08-05 11:56:19.000000000 +0530
+++ sos-1.7/lib/sos/plugins/xen.py      2008-08-05 11:57:58.000000000 +0530
@@ -67,6 +67,8 @@
             self.collectExtOutput("/usr/sbin/xm dmesg")
             self.collectExtOutput("/usr/sbin/xm info")
             self.collectExtOutput("/usr/sbin/brctl show")
+           self.collectExtOutput("/usr/sbin/xm list")
+           self.collectExtOutput("/usr/sbin/xm list --long")
             self.domCollectProc()
             self.addCopySpec("/sys/hypervisor")
             # FIXME: we *might* want to collect things in /sys/bus/xen*,

Comment 7 errata-xmlrpc 2009-01-20 21:41:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0171.html


Note You need to log in before you can comment on or make changes to this bug.